Das Konsole-Handbuch
Zurück | Kapitel 2. Bedienung; | Vor

# 2.6. Befehlszeilenparameter

Wird Konsole von der Befehlszeile gestartet, so läßt sich das Verhalten des Programms mit verschiedenen Parametern beeinflussen.

`--help`

  Zeigt eine Liste mit den verfügbaren Parametern an

`--name`

  Bestimmt den Namen der im Titel angezeigt wird

`--ls`

  Startet eine Login-Shell

`--nowelcome`

  Verhindert daß die "Willkommen zu Konsole" Meldung angezeigt wird

`-T,--title`

  Bestimmt den Titel des Fensters

`--xwin`

  Diese Option wird ignoriert

`--nohist`

  Verhindert daß Text der über den Bildschirmrand läuft gespeichert wird.

`--notoolbar`

  Startet Konsole ohne Werkzeugleiste

`--vt_sz `SSxZZ``

  Startet ein Terminalfenster mit ss Spalten und zz Zeilen

`-e `<Anwendung>``

  <Anwendung> anstatt einer Shell aufrufen

Beispiele:

     bash$ konsole --vt_sz 90x25 --nohist

Startet ein Konsole-Fenster mit 90 Spalten und 25 Zeilen und ohne Verlaufsspeicher

Konsole versteht auch generische Qt™ und KDE Parameter:

`--help-qt`

  Zeigt Qt-spezifische Parameter an

`--help-kde`

  Zeigt KDE-spezifische Parameter an

`--help-all`

  Zeigt alle Parameter an

`--author`

  Zeigt den Autor bzw die Autoren an

`-v,--version`

  Anzeige der Versionsnummer

`--license`

  Anzeige der Lizenz unter der Konsole steht

Zurück | Anfang | Vor
Werkzeugleiste | Hoch | Urheber und Copyright